import _extends from 'babel-runtime/helpers/extends';
import PropTypes from 'ant-design-vue/es/_util/vue-types';
import { searchBarProps } from '../SearchBar';
import { tableProps } from '../Table';
import { bigTableProps } from '../BigTable';

var searchTableProps = _extends({}, searchBarProps, tableProps, bigTableProps, {
  // 搜索条配置参数
  searchOptions: PropTypes.oneOfType([PropTypes.bool, PropTypes.object]),
  // 表格配置参数
  tableOptions: PropTypes.oneOfType([PropTypes.bool, PropTypes.object]),
  // 表格组件名称，easy-table 或 big-table
  tableName: PropTypes.oneOf(['e-table', 'e-big-table']).def('e-table'),
  // 新增按钮文字，false不展示
  addText: PropTypes.oneOfType([PropTypes.bool, PropTypes.string]).def(true)
});

export default searchTableProps;