import EPageHeader from '../../../PageHeader';
import AButton from 'ant-design-vue/es/button';
import { SaveDraftPageHeaderProps } from './types';
import './style.less';
/**
 * 具有保存草稿功能的分布表单页面头,需要用 createElement(ESaveDraftPageHeader)方式传入
 */

export default {
  name: 'ESaveDraftPageHeader',
  props: SaveDraftPageHeaderProps,
  render: function render() {
    var h = arguments[0];
    var _this$$props = this.$props,
        pageTitle = _this$$props.pageTitle,
        pageSubTitle = _this$$props.pageSubTitle,
        pageDesc = _this$$props.pageDesc,
        draftLoading = _this$$props.draftLoading,
        reason = _this$$props.reason,
        saveDraft = _this$$props.saveDraft;
    return h(EPageHeader, {
      attrs: {
        title: pageTitle,
        "sub-title": pageSubTitle
      }
    }, [h("div", {
      slot: "content",
      "class": "page-header-content"
    }, [h("div", [pageDesc]), reason ? h("div", {
      "class": "reason"
    }, ["\u5931\u8D25\u539F\u56E0\uFF1A".concat(this.reason)]) : null]), h(AButton, {
      slot: "action",
      attrs: {
        type: "primary",
        ghost: true,
        loading: draftLoading
      },
      on: {
        "click": saveDraft
      }
    }, ["\u5B58\u4E3A\u8349\u7A3F"])]);
  }
};